%define anolis_release 1

%bcond_with perl_IO_Socket_SSL_test_unused_idn
%bcond_with perl_IO_Socket_SSL_test_IO_Socket_INET6

Name:		perl-IO-Socket-SSL
Version:	2.081
Release:	%{anolis_release}%{?dist}
Summary:	Perl library for transparent SSL
License:	(GPL+ or Artistic) and MPLv2.0
URL:		https://cpan.metacpan.org/authors
Source0:	%{url}/id/S/SU/SULLR/IO-Socket-SSL-%{version}.tar.gz

BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker) >= 6.76
# Module Runtime
BuildRequires:	openssl-libs >= 0.9.8
BuildRequires:	perl(Carp)
BuildRequires:	perl(Config)
BuildRequires:	perl(constant)
BuildRequires:	perl(Errno)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(HTTP::Tiny)
BuildRequires:	perl(IO::Socket)
BuildRequires:	perl(IO::Socket::INET)
BuildRequires:	perl(IO::Socket::IP) >= 0.31
BuildRequires:	perl(Net::SSLeay) >= 1.46
BuildRequires:	perl(Scalar::Util)
BuildRequires:	perl(Socket) >= 1.95
BuildRequires:	perl(strict)
BuildRequires:	perl(URI::_idna)
BuildRequires:	perl(vars)
BuildRequires:	perl(warnings)
# Test Suite
# openssl tool required for Test-client-performs-Post-Handshake-Authentication.patch
BuildRequires:	openssl
BuildRequires:	perl(Data::Dumper)
BuildRequires:	perl(File::Temp)
BuildRequires:	perl(FindBin)
BuildRequires:	perl(IO::Select)
%if %{with perl_IO_Socket_SSL_test_IO_Socket_INET6}
BuildRequires:	perl(IO::Socket::INET6) >= 2.62
%endif
# IPC::Run for Test-client-performs-Post-Handshake-Authentication.patch
BuildRequires:	perl(IPC::Run)
%if %{with perl_IO_Socket_SSL_test_unused_idn}
BuildRequires:	perl(Net::IDN::Encode)
BuildRequires:	perl(Net::LibIDN)
%endif
BuildRequires:	perl(Test::More) >= 0.88
BuildRequires:	perl(utf8)
BuildRequires:	procps
# Runtime
Requires:	openssl-libs >= 0.9.8
Requires:	perl(Config)
Requires:	perl(HTTP::Tiny)
Requires:	perl(IO::Socket::INET)
Requires:	perl(IO::Socket::IP) >= 0.31
Requires:	perl(Socket) >= 1.95
Requires:	perl(URI::_idna)

%description
This module is a true drop-in replacement for IO::Socket::INET that
uses SSL to encrypt data before it is transferred to a remote server
or client. IO::Socket::SSL supports all the extra features that one
needs to write a full-featured SSL client or server application:
multiple SSL contexts, cipher selection, certificate verification, and
SSL version selection. As an extra bonus, it works perfectly with
mod_perl.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q -n IO-Socket-SSL-%{version}

%build
NO_NETWORK_TESTING=1 perl Makefile.PL \
	INSTALLDIRS=vendor \
	NO_PACKLIST=1 \
	NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} -c %{buildroot}

%check
make test

%files
# GPL+ or Artistic
%doc docs/ example/
%dir %{perl_vendorlib}/IO/
%dir %{perl_vendorlib}/IO/Socket/
%dir %{perl_vendorlib}/IO/Socket/SSL/
%doc %{perl_vendorlib}/IO/Socket/SSL.pod
%{perl_vendorlib}/IO/Socket/SSL.pm
%{perl_vendorlib}/IO/Socket/SSL/Intercept.pm
%{perl_vendorlib}/IO/Socket/SSL/Utils.pm
%{_mandir}/man3/IO::Socket::SSL.3*
%{_mandir}/man3/IO::Socket::SSL::Intercept.3*
%{_mandir}/man3/IO::Socket::SSL::Utils.3*
# MPLv2.0
%{perl_vendorlib}/IO/Socket/SSL/PublicSuffix.pm
%{_mandir}/man3/IO::Socket::SSL::PublicSuffix.3*

%files doc
%doc BUGS Changes README

%changelog
* Tue Feb 07 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.081-1
- remove versioned MODULE_COMPAT_ requires
- update to version 2.081

* Mon Jan 30 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 2.074-2
- rebuild with perl 5.36.0

* Thu Mar 10 2022 Mingyue Zhao <wb-zmy745940@alibaba-inc.com> - 2.074-1
- Init for Anolis OS 23
